<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.sas.mapper.SasGisMapper">

    <resultMap id="BaseResultMap" type="com.usky.sas.domain.SasGis">
        <id column="id" property="id"/>
        <result column="lon" property="lon"/>
        <result column="lat" property="lat"/>
        <result column="alt" property="alt"/>
    </resultMap>

    <select id="selectByIds" resultMap="BaseResultMap">
        SELECT id, lon, lat, alt FROM sas_gis
        WHERE id IN
        <foreach collection="ids" item="id" open="(" separator="," close=")">
            #{id}
        </foreach>
    </select>

</mapper>
